Subject: Re: [PATCH] irq_work: unhide irq_work_queue_on declaration on non-SMP

From: Mark Brown <[email-masked]>
Date: Wed, 10 Feb 2016 18:10:15 +0000

On Wed, Feb 10, 2016 at 04:27:42PM +0100, Rafael J. Wysocki wrote:

> > +#else
> > +static inline bool irq_work_queue_on(struct irq_work *work, int cpu)
> > +{
> > +       return irq_work_queue(work);
> > +}
> >  #endif

> I was thinking about this too, but then cpufreq will be the only user of it.

> In any case can do it at any time later. :-)

Well, there's currently only two other users of irq_work_queue_on()
anyway so that's a third of the userbase and it does seem the obvious
way to support any other future users that want to scale down to !SMP
cases painlessly.

Reviwed-by: Mark Brown <[email-masked]>

FWIW.